commit:     06567374880f9b020eccce012518dbca3990ccaa
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  7 17:54:53 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Apr  7 18:09:55 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06567374

app-text/xmlformat: enable ruby31, ruby32

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-text/xmlformat/xmlformat-1.04.ebuild | 25 +++++++++++++------------
 1 file changed, 13 insertions(+), 12 deletions(-)

diff --git a/app-text/xmlformat/xmlformat-1.04.ebuild 
b/app-text/xmlformat/xmlformat-1.04.ebuild
index 7dd8954575e8..6abdd5883fc8 100644
--- a/app-text/xmlformat/xmlformat-1.04.ebuild
+++ b/app-text/xmlformat/xmlformat-1.04.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-USE_RUBY="ruby27 ruby30"
-inherit ruby-single
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+inherit edo ruby-single
 
 DESCRIPTION="Reformat XML documents to your custom style"
 SRC_URI="http://www.kitebird.com/software/${PN}/${P}.tar.gz";
@@ -16,11 +16,20 @@ KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux 
~ppc-macos"
 IUSE="doc ruby"
 
 DEPEND="
+       dev-lang/perl
        ruby? ( ${RUBY_DEPS} )
-       !ruby? ( dev-lang/perl )
 "
 RDEPEND="${DEPEND}"
 
+src_test() {
+       # Perl is always installed, so we may as well always test both.
+       if use ruby; then
+               nonfatal edo ./runtest all || die "runtest for ruby failed"
+       fi
+
+       nonfatal edo ./runtest -p all || die "runtest for perl failed"
+}
+
 src_install() {
        dobin xmlformat.pl
 
@@ -38,11 +47,3 @@ src_install() {
                dodoc -r docs/*
        fi
 }
-
-src_test() {
-       if use ruby; then
-               ./runtest all || die "runtest for ruby failed."
-       else
-               ./runtest -p all || die "runtest for perl failed."
-       fi
-}

Reply via email to